Subject: announcements

From: [email-masked] (David Boeren)
Date: Wed, 23 Jun 93 12:42:50 EDT

A couple of things:
First, I will soon be uploading a new OGRE with a few new datatypes and some
better-working automatic polygon reduction.  Also, I will hopefully get a chance
to make a lower polycount dactyl world.  I think I can get it MUCH smaller than
the NCAD one that's available now.

Second, I am working on a PLG viewer that works within a windowing system.  Actually, it already works, I just want to work on optimization.  Here's a basic breakdown ofwhat the system can do.
  
    I can open up multiple windows of varying types (PLG, terminal, GUS sound, etc)
and have them all operating on top of each other.  You can output to any windowd
regardless of whether it is on top.  So it would be easy to make a system with
text and 3D graphics together with the capability for pop-up messages or anything
else you want.  The graphics are wireframe right now, which seems to work fine.  It does use backfacing so it doesn't look cluttered or anything.  I can show PLGs in VGA 320x200x256 mode, and I also have a version working on CGA 320x200x4 mode.  No ASM is used anywhere in the libraries, and the video is completely separate from the rest, so it's easy to add new screen drivers for SVGA or anything else.  If there is any interest in this I can upload a demo program or something to sunee.  The demo I have right now uses the 4 directional arrows and page up/down similar to demo3.  Later
tonight I'll probably make another demo with a PLG in freefall in the background under some other windows or something like that.  

Anyhow, just dropping in to let you all know what I'm working on.  With this system, I don't need to have  hotkey shelling to rend386, I can have a PLG window showing your model as you work with another window where you can edit your scripts.  As soon as I write an editor, that is!